質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.57%

githubから取得したEDSRのソースコードの実行ができない

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 544

kakikukekonbu

score 19

 前提・実現したいこと

EDSR(Enhanced Deep Super-Resolution)のgithubの実装を実行しようとしてます.
Ubuntuの仮想環境を作って準備し,手順に従ってdemoを行っていたのですが,test.luaを実行した時にエラーがでました.対処の仕方がわからないのでどなたかご教授お願いします.
URL: https://github.com/LimBee/NTIRE2017

 発生している問題・エラーメッセージ

lua5.1: test.lua:1: module 'nn' not found:
    no field package.preload['nn']
    no file './nn.lua'
    no file '/usr/local/share/lua/5.1/nn.lua'
    no file '/usr/local/share/lua/5.1/nn/init.lua'
    no file '/usr/local/lib/lua/5.1/nn.lua'
    no file '/usr/local/lib/lua/5.1/nn/init.lua'
    no file '/usr/share/lua/5.1/nn.lua'
    no file '/usr/share/lua/5.1/nn/init.lua'
    no file './nn.so'
    no file '/usr/local/lib/lua/5.1/nn.so'
    no file '/usr/lib/x86_64-linux-gnu/lua/5.1/nn.so'
    no file '/usr/lib/lua/5.1/nn.so'
    no file '/usr/local/lib/lua/5.1/loadall.so'
stack traceback:
    [C]: in function 'require'
    test.lua:1: in main chunk
    [C]: ?

 補足情報(FW/ツールのバージョンなど)

Ubuntu1404LTS

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • mather

    2018/10/29 15:05

    タイトルを「githubから取得したEDSRのソースコードの実行ができない」に修正してください。

    キャンセル

回答 1

0

GithubのREADME(説明文)に Dependencies と書かれている別のコードを利用しないとコンパイルできないと思います。

https://github.com/LimBee/NTIRE2017#dependencies

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/10/29 15:57

    ubuntuに書かれている環境設定を行ったらubuntu自体にログインできなくなったのでそれを使わずに行いました.dependenciesにかかれているものはディープラーニングの速度を早くするためだけのものと思ったのですがやはり必要になるにでしょうか.

    キャンセル

  • 2018/10/29 18:24

    Optional と書かれているものは必須ではありません。
    実際、 nnというモジュールは torch7 に含まれているようです。
    http://torch.ch/

    キャンセル

  • 2018/10/30 17:56

    ということは,cudnnはインストール必須ということでしょうか

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.57%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る